/*============================================================================================*/
/* Your custom styles below */
/*============================================================================================*/

/* Facilities Page  */
.custom-header {
  background-color: #bc98c7;
}

/* Panel Menu  */
.container-item div img {
  filter: blur(5px) grayscale(100%);
}

.wrapper_menu {
  padding-left: 50px;
}

/* Contact Page  */
.contact-icon {
  font-size: 45px;
}

.contact_info div h4 {
  color: #463663;
}

.form-floating,
.dark-purple-color {
  color: #463663;
}

.contact-text {
  text-align: center;
  margin: 5rem 12rem;
  font-size: 20px;
  padding-bottom: 5rem;
}

.margin-contact {
  margin-top: 5rem;
  margin-bottom: 10rem;
}

/* RoomList  */

.margin-roomlist {
  padding: 8rem;
}

.roomlist-text {
  text-align: center;
  margin: 8rem 10rem 0rem 10rem;
  font-size: 20px;
  padding-bottom: 5rem;
}

.room_facilities_list img {
  height: 50px;
  width: 45px;
}

/* Gallery Page  */

.container-gallery {
  text-align: center;
  margin-bottom: 30px;
}

.folder-name {
  display: inline-block;
  margin-bottom: 0px;
  font-size: large;
}

.folder-name label {
    border-right: 0.5px solid #bc98c7;
    display: inline-block;
    padding: 0 14px;
    cursor: pointer;
    text-transform: capitalize;
    color: #856cb0;
}

.folder-name label.underline {
  text-decoration: underline; /* Underline style for 'All Photos' */
}

.folder-name label:hover {
  color: #bc98c7; /* Underline style when 'All Photos' is hovered */
}

.folder-name label.selected {
  color: #bc98c7; /* Underline style when 'All Photos' is hovered */
  text-decoration: underline;
}

.remove-right-border {
  border-right: 0.5px solid white !important;
}

img.featicon{
  filter: invert(76%) sepia(65%) saturate(1898%) hue-rotate(350deg) brightness(103%) contrast(99%);
}

#gallery {
  margin-top: 40px;
  display: flex;
  justify-content: center;
}

#gallery ul {
  list-style: none;
  padding: 0;
  margin: 0;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

#gallery li {
  display: inline-block;
  text-align: center;
  margin: 10px;
}

.gallery-photo {
  margin: 10px;
}

.gallery-photo img {
  height: 250px;
  width: auto;
  object-fit: cover;
  transition: transform 0.3s ease-in-out;
  outline: 2px solid transparent;
  border-radius: 8px;

}

.gallery-photo img:hover {
  transform: scale(1.05);
/*  outline: 3px solid #bc98c7;*/
  box-shadow: 0 0 10px #bc98c7;
}

.input-gallery {
  display: none;
}

.gallery-main {
  padding: 6rem 0 10rem 1rem;
}

/* Video Gallery Page  */

.video-gallery-container {
  overflow-x: auto; /* Enable horizontal scrolling */
}

.video-gallery {
  display: flex; /* Use flexbox to create a horizontal layout */
  gap: 20px;
  margin: 0 3rem 3rem 3rem;
}

.video-item {
  width: 560px; /* Adjust the width of each video item */
}

.video-wrapper {
  position: relative;
  padding-bottom: 56.25%; /* 16:9 aspect ratio for responsive resizing */
  overflow: hidden;
}

.video-wrapper iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.video-item h3 {
  margin-top: 10px;
  font-size: 16px;
  font-weight: bold;
}

/* room carousel  */

.carousel {
  max-width: 800px; /* Adjust the maximum width of the carousel as needed */
  margin: 0 auto; /* Center the carousel horizontally */
  background-color: white; /* Set your desired background color */ /* Center the carousel horizontally */
}

.room-image-item {
  width: 100%;
  height: auto;
}

/* Location carousel index page  */
.location-carousel {
  padding: 0rem 0rem 0rem 0rem;
}

/* Hall Page  */
.hall-container {
  margin: 6rem 0;
  padding-right: 2rem;
}

.hall-container div .carousel-inner {
  height: 500px;
  margin-bottom: 100px;
}

/* Bar Page  */

.bar-carousel {
  position: relative;
  overflow: hidden;
}

.bar-carousel .room-img-item {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 500px;
}

.bar-carousel .room-img-item img {
  object-fit: cover;
  height: 100%;
}

/* Messenger Icon  */

.messenger-icon {
  position: fixed;
  bottom: 90px;
  right: 30px;
  z-index: 9999;
  background-color: #0084ff;
  color: #fff;
  padding: 10px;
  border-radius: 50%;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 50px;
  width: 50px;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.16), 0 2px 6px rgba(0, 0, 0, 0.23);
}

/* Image view in room detail  */

a.box_cat_image {
  display: block;
  margin-bottom: 25px;
  margin-top: 2rem;
  height: 500px;
  position: relative;
  overflow: hidden;
  background-color: #ccc;
  border-radius: 10px;
  -webkit-box-shadow: 0px 0px 30px 0px rgba(0, 0, 0, 0.2);
  -moz-box-shadow: 0px 0px 30px 0px rgba(0, 0, 0, 0.2);
  box-shadow: 0px 0px 30px 0px rgba(0, 0, 0, 0.2);
}
@media (max-width: 991px) {
  a.box_cat_image {
    height: 400px;
  }
}
a.box_cat_image .info {
  position: absolute;
  width: 100%;
  z-index: 9;
  display: block;
  padding: 25% 30px 0 30px;
  color: #fff;
  left: 0;
  bottom: -75px;
  padding-bottom: 60px;
  -webkit-backface-visibility: hidden;
  -moz-backface-visibility: hidden;
  -ms-backface-visibility: hidden;
  -o-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transform: translate(0, 0);
  -moz-transform: translate(0, 0);
  -ms-transform: translate(0, 0);
  -o-transform: translate(0, 0);
  transform: translate(0, 0);
  -moz-transition: all 0.4s ease;
  -o-transition: all 0.4s ease;
  -webkit-transition: all 0.4s ease;
  -ms-transition: all 0.4s ease;
  transition: all 0.4s ease;
  background: transparent;
  background: -webkit-linear-gradient(top, transparent, #000);
  background: linear-gradient(to bottom, transparent, #000);
}
a.box_cat_image .info small {
  text-transform: uppercase;
  font-weight: 600;
  letter-spacing: 2px;
  color: #999;
  display: block;
  margin-bottom: 0;
  font-size: 12px;
  font-size: 0.75rem;
  color: #fff;
}
a.box_cat_image .info h3 {
  color: #fff;
  font-size: 26px;
  font-size: 1.625rem;
  font-weight: 600;
  margin-bottom: 15px;
}
a.box_cat_image .info span {
  font-size: 15px;
  font-size: 0.9375rem;
  font-weight: 600;
  display: inline-flex;
  align-items: center;
  font-weight: 600;
  opacity: 0;
  position: relative;
}
a.box_cat_image .info span:before {
  position: absolute;
  bottom: -5px;
  left: 0;
  width: 10px;
  height: 2px;
  content: "";
  transition: width 500ms ease;
  background-color: #fff;
}
a.box_cat_image .info span:hover {
  background-color: #24262d;
  border-color: transparent;
}
a.box_cat_image figure {
  position: relative;
  overflow: hidden;
  width: 100%;
  height: 100%;
}
a.box_cat_image:hover .info {
  -webkit-transform: translate(0, -65px);
  -moz-transform: translate(0, -65px);
  -ms-transform: translate(0, -65px);
  -o-transform: translate(0, -65px);
  transform: translate(0, -65px);
}
a.box_cat_image:hover .info span {
  opacity: 1;
}
a.box_cat_image:hover .info span:before {
  width: 100%;
}
a.box_cat_image:hover .background-image {
  -ms-transform: scale(1.1);
  -moz-transform: scale(1.1);
  -webkit-transform: scale(1.1);
  -o-transform: scale(1.1);
  transform: scale(1.1);
}

.form-floating>label {
  font-size: 15px;
}
.img.aboutservice{
  height: 20px;
  width:20px
  
}


/* panel menu */

.menu_panel_details {
  text-align: right;
  padding-right: 2rem;
}

.contacts ul li a{
  
  text-align: right;
}
/* slider navigation */

.slider-pagination {
  display: flex;
  justify-content: start;
  margin-top: 10px;
  background-color: transparent;
  position: absolute;
  bottom: 40px;
  left: 0;
  right: 0;
  display: none;
}

header nav ul{
  display:flex;
}
.slider-pagination li {
  margin: 0 7px;
  list-style-type: none;
}

.slider-pagination button {
  background-color: transparent;
  border: 1px solid white;
  border-radius: 50%;
  width: 10px;
  height: 10px;
  padding: 0;
  cursor: pointer;
}

.slider-pagination button.active {
  background-color: #856cb0;
}


/* rounded edge for index room image display */

.box_item_info {
  border-radius: 4%;
}

/* nearby location  */

.underline-on-hover {
  position: relative;
}

.underline-on-hover::after {
  content: "";
  position: absolute;
  bottom: -2px;
  left: 0;
  width: 0;
  height: 2px;
  background-color: white;
  visibility: hidden;
  transition: all 0.3s ease-in-out;
}

.underline-on-hover:hover::after {
  width: 100%;
  visibility: visible;
}

.nearby-loc .info {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    padding: 40px 20px 50px;
    box-sizing: border-box;
    background: linear-gradient(to top, rgba(0, 0, 0, 0.8) 50%, rgba(0, 0, 0, 0));
    color: #fff;
    /* border-radius: 36px; */
    border-bottom-right-radius: 36px;
    border-bottom-left-radius: 36px;
}

.nearby-loc h3 {
  color: white;
  margin-top:0px;
}

.nearby-loc img {
  display: block;
  width: 100%;
  height: 600px !important;
  object-fit: cover;
  object-position: center;
  display: none;
}

.nearby-loc {
  position: relative;
  display: inline-block;
}

/* slider in top of homepage */

.slider-navigation {
  position: relative;
    bottom: 50%;
    left: 0;
    right: 0;
    margin: 0 auto;
    width: fit-content;
}

.slider-navigation span {
  user-select: none;
  z-index: 1;
  position: relative;
  font-size: 32px; /* Adjust the size as desired */
  opacity: 0.7; /* Adjust the initial transparency as desired */
  cursor: pointer;
  padding-top: 8px;
  color:#fff;
}

.slider-navigation span:hover {
  opacity: 1; /* Adjust the opacity on hover */
}

.slider-navigation span::before {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 40px; /* Adjust the size as desired */
  height: 40px; /* Adjust the size as desired */
  background-color: rgba(255, 255, 255, 0.2); /* Adjust the transparency as desired */
  border-radius: 50%;
  outline: 1px solid rgba(255, 255, 255, 0.5);
  z-index: -1;
}

.slider-navigation span:hover::before {
  background-color: rgba(255, 255, 255, 0.5); /* Adjust the transparency on hover */
}

.slider {
    position: relative;
    height: 100vh;
}

.slider-navigation .next-slide, .slider-navigation .prev-slide{
  bottom: 2rem;
  margin-bottom: 2rem;

}

.slider-navigation .prev-slide{
    right: 594px;
}

.slider-navigation .next-slide {
    left: 587px;
}

/* add datetime and number of pax container in header */

#booking_date, #booking_guests {
  margin-right: 10px;
  padding: 5px;
  border: 1px solid #ccc;
  border-radius: 4px;
  font-size: 14px;
  margin-top: 8px;
}

input[type="date"]::-webkit-calendar-picker-indicator {
    filter: invert(22%) sepia(57%) saturate(1356%) hue-rotate(246deg) brightness(91%) contrast(92%);
  }

#booking_guests{
  width: 6rem;
}

#booking_date{
  width: 8rem;
}

/* Map box  */

.map_contact{
  padding-bottom: 80px;
  padding-top: 20px;
}

.map_container{
  border: 2px solid #b98b16;
  overflow: hidden;
  margin: 0 100px;
  border-radius: 10px 10px 0 0;
}

.home-book3 .booking_form{
    height:45px;
}
.about_part .booking_form{
  display: none;
}

.home-book3 .booking_form input {
    border: 0;
    height: 35px;
    border-radius: 0;
    border-right: 1px solid #d9e1e6;
    font-weight: 500;
    font-size: 15px;
    font-size: 0.9375rem;
}

.home-book3 .booking_form .form-group i {
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    -ms-border-radius: 3px;
    border-radius: 3px;
    font-size: 21px;
    font-size: 16px;
    position: absolute;
    line-height: 43px;
}

.home-book3 .qty-buttons label {
    position: absolute;
    color: #999;
    left: 15px;
    top: 6px;
    font-weight: 500;
    color: #6c757d;
    font-size: 15px;
    font-size: 0.9375rem;
}

.home-book3 .qty-buttons input.qtyminus , .home-book3 .qty-buttons input.qtyplus {
    position: absolute;
    width: 36px;
    height: 36px;
    border: 0;
    outline: none;
    cursor: pointer;
    -webkit-appearance: none;
    text-indent: -9999px;
    box-shadow: none;
    border-radius: 50%;
    top: 0px;
}

/* pattern customization  */

.leaf_1 {
  position: relative;
}

.leaf_1::before {
  content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url(../img/mountain.png) top left no-repeat;
    background-position: top;
    background-size: contain;
    opacity: 0.15;
}

.leaf_2 {
  position: relative;
}

.leaf_2::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: url("../img/pattern/leaf1.png") right no-repeat;
  background-position: 1000px -1000px;
  background-size: auto 800px;
  opacity: 0.15; /* Adjust the opacity value as per your requirement */
}

.leaf_1 .leaf_2 {
  position: absolute;
  top: 500px;
  right: 0px;
  width: auto;
  height: 800px;
  z-index: -1;
  opacity: 0.15;
  display:none;
}

.leaf_3 {
  position: relative;
  overflow: hidd
}

.leaf_3::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  opacity: 0.15;
  background: url("../img/resort.png") left no-repeat; /* Adjust the repeat value if needed */
  background-position: -520px 300px;
  background-size: auto 600px;
  background-attachment: fixed; /* Added property */
}

.leaf_3 .container.margin_120_95 {
  position: relative;
  z-index: 1;
}

.leaf_3 .row_list_version_3 {
  position: relative;
  z-index: 2;
}

.leaf_3 .row_list_version_3::before {
  /*content: "";*/
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  background: inherit;
  background-size: inherit;
  opacity: inherit;
  background-attachment: fixed; /* Added property */
}

.statue_4 {
  position: relative;
  overflow: hidden;
}

.statue_4::before {
  content: "";
  position: absolute;
  top: 0;
  left: -250px; /* Adjust the value as needed */
  width: 600px; /* Adjust the width as needed */
  height: 100%;
  /*background: url("../img/pattern/statue.png") left no-repeat;*/
  background-position: 0px 0px;
  background-size: auto 600px;
  opacity: 0.2; /* Adjust the opacity value as per your requirement */
  z-index: -1;
}

.statue_4::after {
  content: "";
  position: absolute;
  top: 0;
  right: -310px; /* Adjust the value as needed */
  width: 600px; /* Adjust the width as needed */
  height: 100%;
  /*background: url("../img/pattern/statue.png") right no-repeat;*/
  background-position: 0px 0px;
  background-size: auto 600px;
  opacity: 0.2; /* Adjust the opacity value as per your requirement */
  z-index: -1;
}

.skyline_5 {
  position: relative;
  overflow: hidden;
}

.skyline_5::before {
  content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url(../img/mountain.png) left no-repeat;
    background-position: 0;
    background-size: cover;
    opacity: 0.2;
    z-index: -1;
}
/*
.skyline_5::after {
  content: "";
  position: absolute;
  top: 110px;
  right: 1300px;
  width: 100%; 
  height: 100%;
  background: url("../img/pattern/skyline.png") right no-repeat;
  background-position: 0px 0px;
  background-size: auto 400px;
  opacity: 0.2; 
  z-index: -1;
}*/

/*responsive css*/
@media (min-width: 1922px){
    .boking-234{
        display: none;
    }
}

@media (max-width: 1500px){
    .boking-234{
        display: none;
    }
}
@media(max-width:1280px){
    .slider-navigation .next-slide {
        left: 36.5rem;
    }

    .slider-navigation .prev-slide {
        right: 36.5rem;
    }
    .boking-234{
        display: none;
    }
}

@media(max-width:912px){
    .slider {
      position: relative;
      height: 48vh;
  }
}

@media(max-width:820px){
    .slider {
        position: relative;
        height: 55vh;
    }
}

@media (max-width: 768px){
    .slider {
        position: relative;
        height: 69vh;
    }
    .contact-text {
        text-align: center;
        margin: 5rem 1rem;
        font-size: 20px;
        padding-bottom: 5rem;
    }
    .roomlist-text {
        text-align: center;
        margin: 5rem 1rem;
        font-size: 20px;
        padding-bottom: 5rem;
    }
    .margin-roomlist {
        padding: 8rem 1rem;
    }
    
    .leaf_1::before {
      background-size: auto 400px;
      background-position: -200px 600px;
    }
}

@media (max-width: 540px){
    .slider-navigation .prev-slide {
        right: 13.5rem;
    }

    .slider-navigation .next-slide {
        left: 13.5rem;
    }
    .map_container {
        border: 2px solid #856cb0;
        overflow: hidden;
        margin: 0 10px;
        border-radius: 10px 10px 0 0;
    }
    .boking-234{
        display: unset;
    }
    header nav ul li:first-child{
        display: none;
    }
    header nav ul li {
        margin-left: 88%;
    }
    .slider {
        position: relative;
        height: 58vh;
    }
    .flexslider {
        margin: 0;
        background: #111;
        position: relative;
        zoom: 1;
        height: 417px;
    }
    slider.flexslider ul.slides li {
        height: 433px !important;
    }
    .leaf_3 p{
        padding:0px 28px !important;
    }
    #slider.flexslider ul.slides li img {
        height: 336px !important;
        /* width: auto; */
    }
    #slider.flexslider ul.slides li img {
        opacity: 0.9;
        width: 100%;
        height: auto;
        position: absolute;
        left: 50%;
        top: 58%;
        -webkit-transform: translate(-50%, -50%);
        -moz-transform: translate(-50%, -50%);
        -ms-transform: translate(-50%, -50%);
        -o-transform: translate(-50%, -50%);
        transform: translate(-50%, -50%);
    }
    #slider.flexslider li .meta {
        left: 15px;
        bottom: auto;
        top: 68%;
        bottom: auto;
    }

    .statue_4::before{
      background-image: none;
    }

    .statue_4::after{
      background-image: none;
    }
    #slider.flexslider ul.slides li {
        height: 433px !important;
    }
    
    .headroom--not-top .hamburger-inner, .headroom--not-top .hamburger-inner::before, .headroom--not-top .hamburger-inner::after {
        background-color: #000;
}
}

@media (max-width: 414px){
    .slider-navigation .prev-slide {
        right: 9.5rem;
    }

    header nav ul li {
        margin-left: 74%;
    }
    .slider {
        position: relative;
        height: 39vh;
    }
    .slider-navigation .next-slide {
        left: 9.5rem;
    }
    .logo-container {
        background-color: #f5f5f5;
        display: inline-block;
        padding: 2px;
        padding-left: 5px;
        margin-bottom: 14px;
    }
    
    .card1 {
        display: flex;
        list-style-type: none;
        float: left;
        margin-bottom: 0px;
        margin-top: 12px;
    }
}

@media(max-width:393px){
    .card1 li {
        margin-right: 18px;
        color: #fff;
    }
}


@media (max-width:375px){
    .slider {
        position: relative;
        height: 51vh;
    }
    
    .card1 li {
        margin-right: 8px;
        color: #fff;
    }
    #slider.flexslider li .info{
        display:none;
    }
    #slider.flexslider li h3 {
        margin-bottom: 17px;
    }
    #slider.flexslider li .meta {
        left: 15px;
        bottom: auto;
        top: 38%;
        bottom: auto;
    }
    .slider-navigation .prev-slide {
        right: 8.5rem;
    }
    .slider-navigation .next-slide {
        right: 8.5rem;
    }
}


@media (min-width: 768px) and (max-width: 991px) {
  /* CSS styles for medium-sized laptops and desktops */
  .slider-navigation .next-slide{
    left: 19rem;
  }
  
  .slider-navigation .prev-slide{
      right: 20rem;
  }
}